unit MiniLedTest;

// cesty

//   /storage/extSdCard/test/LHC Jablonec/LHC Jablonec.opx
//   /storage/emulated/0/karkulka/krtiny/618000.opx
interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs,
  Component_MiniOrbis, FMX.Effects, FMX.StdCtrls, FMX.Edit,
  FMX.Controls.Presentation, FMX.Layouts, FMX.Memo, FMX.ScrollBox, FMX.ListBox,
  FMX.Memo.Types;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Panel1: TPanel;
    Button1: TButton;
    ShadowEffect1: TShadowEffect;
    cb_autoopenprojects: TSwitch;
    Label2: TLabel;
    ed_Project: TEdit;
    Label3: TLabel;
    ed_Oddeleni: TEdit;
    ed_Dilec: TEdit;
    ed_Porost: TEdit;
    ed_Skupina: TEdit;
    l_oddeleni: TLabel;
    l_dilec: TLabel;
    l_Porost: TLabel;
    l_skupina: TLabel;
    Panel2: TPanel;
    Button2: TButton;
    ShadowEffect2: TShadowEffect;
    ArcDial1: TArcDial;
    ShadowEffect3: TShadowEffect;
    l_Select: TLabel;
    MiniOrbis1: TMiniOrbis;
    cb_MapOnBackground: TSwitch;
    Label4: TLabel;
    cb_DataOnBackground: TSwitch;
    Label5: TLabel;
    Memo: TMemo;
    Timer: TTimer;
    Switch1: TSwitch;
    Label6: TLabel;
    Button3: TButton;
    cb_GPS: TSwitch;
    Label7: TLabel;
    MapListBox: TListBox;
    procedure Button1Click(Sender: TObject);
    procedure ArcDial1Change(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure MiniOrbis1SelectJPRL(Sender: TObject);
    procedure MiniOrbis1MapReady(Sender: TObject);
    procedure MiniOrbis1DataReady(Sender: TObject);
    procedure TimerTimer(Sender: TObject);
    procedure Switch1Switch(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure cb_GPSSwitch(Sender: TObject);
    procedure MapListBoxItemClick(const Sender: TCustomListBox;
      const Item: TListBoxItem);
  private
    { Private declarations }
  public
  end;

var
  Form1: TForm1;



implementation

{$R *.fmx}

procedure TForm1.ArcDial1Change(Sender: TObject);
begin
   l_dilec.Visible := ArcDial1.Value > 39;
   ed_Dilec.Visible := ArcDial1.Value > 39;
   l_Porost.Visible := ArcDial1.Value > 79;
   ed_Porost.Visible := ArcDial1.Value > 79;
   l_Skupina.Visible := ArcDial1.Value > 119;
   ed_Skupina.Visible := ArcDial1.Value > 119;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
   MiniOrbis1.AutoOpenProjectFile := ed_Project.Text;
   MiniOrbis1.AutoOpenProject := cb_autoopenprojects.IsChecked;
   if cb_autoopenprojects.IsChecked then
   begin
      Memo.Lines.Clear;
      Memo.Lines.Add('Start ....');
   end;
   cb_autoopenprojects.IsChecked := false;
   MiniOrbis1.DataOnBackGround := cb_DataOnBackground.IsChecked;
   MiniOrbis1.MapOnBackground := cb_MapOnBackground.IsChecked;
   cb_MapOnBackground.IsChecked := false;
   MiniOrbis1.OpenButtonVisible := Switch1.IsChecked;
   MiniOrbis1.DoIt;
end;

procedure TForm1.Button2Click(Sender: TObject);
var
   S: string;
begin
   MiniOrbis1.OpenButtonVisible := Switch1.IsChecked;
   MiniOrbis1.Oddeleni := ed_Oddeleni.Text;
   MiniOrbis1.Dilec := '';
   MiniOrbis1.Porost := '';
   MiniOrbis1.Skupina := '';
   if ed_Dilec.Visible then
      MiniOrbis1.Dilec := ed_dilec.Text;
   if ed_Porost.Visible then
      MiniOrbis1.Porost := ed_Porost.Text;
   if ed_Skupina.Visible then
      MiniOrbis1.Skupina := ed_Skupina.Text;
   MiniOrbis1.MapVisible := true;
   MiniOrbis1.ShowTheForest(true);
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
   MiniOrbis1.MapVisible := true;
   MiniOrbis1.Import('/Removable/MicroSD/test/mobilis1.orb',false,2,'PCImport');
end;

procedure TForm1.cb_GPSSwitch(Sender: TObject);
begin
   MiniOrbis1.GPS_Active := cb_GPS.IsChecked;
end;

procedure TForm1.MapListBoxItemClick(const Sender: TCustomListBox;
  const Item: TListBoxItem);
begin
   MiniOrbis1.ActualMapIndex := MapListBox.ItemIndex;
end;

procedure TForm1.MiniOrbis1DataReady(Sender: TObject);
begin
   Memo.Lines.Add('Data jsou ready ...');
   MiniOrbis1.RetrieveMapList(MapListBox.Items);
end;

procedure TForm1.MiniOrbis1MapReady(Sender: TObject);
begin
   Memo.Lines.Add('Mapa je ready ...');
end;

procedure TForm1.MiniOrbis1SelectJPRL(Sender: TObject);
var
   i: integer;
begin
   MiniOrbis1.MapVisible := false;
   l_Select.Text := 'Bylo vybrno: Oddlen '+MiniOrbis1.Oddeleni+' Dlec '+MiniOrbis1.Dilec+' por '+MiniOrbis1.Porost+' skupina '+MiniOrbis1.Skupina;
end;


procedure TForm1.Switch1Switch(Sender: TObject);
begin
   MiniOrbis1.OpenButtonVisible := Switch1.IsChecked;
end;

procedure TForm1.TimerTimer(Sender: TObject);
begin
   Timer.Tag := Timer.Tag + 1;
end;

end.
